Bug 761265 - (CVE-2011-4539) CVE-2011-4539 dhcp: DoS due to processing certain regular expressions
CVE-2011-4539 dhcp: DoS due to processing certain regular expressions
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111207,repor...
: Security
Depends On: 765681 765682 765683
Blocks: 761271
  Show dependency treegraph
 
Reported: 2011-12-07 17:33 EST by Vincent Danen
Modified: 2012-01-02 18:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 14:25:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff from 4.2.3 and 4.2.3-P1 (1.35 KB, patch)
2011-12-07 17:52 EST, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2011-12-07 17:33:29 EST
It was reported [1] that ISC dhcpd suffered from a bug related to processing an evaluated regular expression.  If an attacker were able to send a DHCP Request packet, either directly or through a relay, they could remotely crash dhcpd if that server was configured to evaluate expressions using a regular expression (such as "~=" or "~~" comparison operators).  No further details have been released as of yet.

Upstream indicates that 4.0.x and higher, including all EOL versions back to 4.0, 4.1-ESV, and 4.2.x, are affected and is corrected in 4.1-ESV-R4 and 4.2.3-P1.

This flaw cannot be triggered if regular expressions are not used in the server's configuration files.

[1] http://www.isc.org/software/dhcp/advisories/cve-2011-4539
Comment 1 Vincent Danen 2011-12-07 17:52:19 EST
Created attachment 542241 [details]
diff from 4.2.3 and 4.2.3-P1

Diff from 4.2.3 and 4.2.3-P1 with the following changelog comments:

                       Changes since 4.2.3

! Add a check for a null pointer before calling the regexec function.
  Without out this check we could, under some circumstances, pass
  a null pointer to the regexec function causing it to segfault.
  Thanks to a report from BlueCat Networks.
  [ISC-Bugs #26704].
  CVE: CVE-2011-4539
Comment 4 Huzaifa S. Sidhpurwala 2011-12-09 00:07:41 EST
Created dhcp tracking bugs for this issue

Affects: fedora-all [bug 765681]
Comment 6 Huzaifa S. Sidhpurwala 2011-12-09 00:12:29 EST
This issue does not affect the version of dhcp package as shipped with Red Hat Enterprise Linux 4 and 5.

This issue affects the version of dhcp package as shipped with Red Hat Enterprise Linux 6.
Comment 7 Vincent Danen 2011-12-14 13:27:42 EST
Statement:

This issue did not affect the versions of dhcp as shipped with Red Hat Enterprise Linux 4 and 5.
Comment 8 errata-xmlrpc 2011-12-14 14:06:27 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1819 https://rhn.redhat.com/errata/RHSA-2011-1819.html
Comment 9 Fedora Update System 2011-12-14 18:32:21 EST
dhcp-4.2.3-4.P1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-01-02 16:49:12 EST
dhcp-4.2.1-14.P1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.